#
# Makefile.mak
#

#######################################################
# Global definitions

FWComponentName = ODFHello
FWComponentDir = $(FWODF)\Examples\Hello
FWComponentType = DLL

!include "$(FWODF)\Tools\Windows\FWDefs.mki"

#######################################################
# Component definitions

FWComponentObjFiles = \
	$(FWObjDir)\HelloCmd.obj \
	$(FWObjDir)\HelloSel.obj \
	$(FWObjDir)\HelloFrm.obj \
	$(FWObjDir)\HelloPrt.obj \
	$(FWObjDir)\SOMPart.obj

FWIncludeDirs = \
	$(FWSwInclude)$(FWOPENDOC)\XH \
	$(FWSwInclude)$(FWOPENDOC)\Inc \
	$(FWSwInclude)$(FWODF)\Examples\Hello\Include \
	$(FWSwInclude)$(FWODF)\Examples\Hello\Include\SOM\Public \
	$(FWSwInclude)$(FWODF)\Examples\Hello\Include\SOM\Private \
	$(FWSwInclude)$(FWODF)\Framewrk\FWPart\Include \
	$(FWSwInclude)$(FWODF)\Framewrk\FWGadgts\Include \
	$(FWSwInclude)$(FWODF)\OS\FWResour\Include \
	$(FWSwInclude)$(FWODF)\OS\FWEvents\Include \
	$(FWSwInclude)$(FWODF)\OS\FWMenu\Include \
	$(FWSwInclude)$(FWODF)\OS\FWGraphx\Include \
	$(FWSwInclude)$(FWODF)\OS\FWFiles\Include \
	$(FWSwInclude)$(FWODF)\OS\FWWindow\Include \
	$(FWSwInclude)$(FWODF)\OS\FWIntl\Include \
	$(FWSwInclude)$(FWODF)\OS\FWOSMisc\Include \
	$(FWSwInclude)$(FWODF)\OS\FWODUtil\Include \
	$(FWSwInclude)$(FWODF)\Found\FWCollec\Include \
	$(FWSwInclude)$(FWODF)\Found\FWNotifn\Include \
	$(FWSwInclude)$(FWODF)\Found\FWString\Include \
	$(FWSwInclude)$(FWODF)\Found\FWMemory\Include \
	$(FWSwInclude)$(FWODF)\Found\FWExcLib\Include \
	$(FWSwInclude)$(FWODF)\Found\FWFoundU\Include \
	$(FWSwInclude)$(FWODF)\Found\FWStream\Include \
	$(FWSwInclude)$(FWODF)\Found\FWRunTyp\Include \
	$(FWSwInclude)$(FWODF)\Found\FWDebug\Include \
	$(FWSwInclude)$(FWODF)\Found\FWTaskG\Include \
	$(FWSwInclude)$(FWODF)\Found\FWCommon\Include

FWSomIncludeDirs = \
	$(FWSwInclude)$(FWOPENDOC)\idl

FWComponentLibs = \
	GDI32.lib USER32.lib \
	SOM.lib OpnDoc32.lib \
	$(FWBuildLibDir)\FWOSStat.lib \
	$(FWODF)\Framewrk\$(FWObjDir)\FWFrameW.lib \
	$(FWODF)\OS\FWGraphx\$(FWObjDir)\FWGraphx.lib \
	$(FWODF)\OS\FWMenu\$(FWObjDir)\FWMenu.lib \
	$(FWODF)\OS\FWEvents\$(FWObjDir)\FWEvents.lib \
	$(FWODF)\OS\FWOSMisc\$(FWObjDir)\FWOSMisc.lib \
	$(FWODF)\OS\FWResour\$(FWObjDir)\FWResour.lib \
	$(FWODF)\OS\FWWindow\$(FWObjDir)\FWWindow.lib \
	$(FWODF)\OS\FWFiles\$(FWObjDir)\FWFiles.lib \
	$(FWODF)\OS\FWIntl\$(FWObjDir)\FWIntl.lib \
	$(FWODF)\OS\FWODUtil\$(FWObjDir)\FWODUtil.lib \
	$(FWODF)\Found\FWNotifn\$(FWObjDir)\FWNotifn.lib \
	$(FWODF)\Found\FWString\$(FWObjDir)\FWString.lib \
	$(FWODF)\Found\FWFoundU\$(FWObjDir)\FWFoundU.lib \
	$(FWODF)\Found\FWCollec\$(FWObjDir)\FWCollec.lib \
	$(FWODF)\Found\FWStream\$(FWObjDir)\FWStream.lib \
	$(FWODF)\Found\FWMemory\$(FWObjDir)\FWMemory.lib \
	$(FWODF)\Found\FWExcLib\$(FWObjDir)\FWExcLib.lib \
	$(FWODF)\Found\FWRunTyp\$(FWObjDir)\FWRunTyp.lib \
	$(FWODF)\Found\FWDebug\$(FWObjDir)\FWDebug.lib \
	$(FWODF)\Found\FWTaskG\$(FWObjDir)\FWTaskG.lib \
	$(FWODF)\Found\FWCommon\$(FWObjDir)\FWCommon.lib

FWComponentResFileName = \
	$(FWObjDir)\HelloStr.res
	
FWResIncludeDirs = \
	$(FWSwInclude)$(FWODF)\Examples\Hello\Other \
	$(FWSwInclude)$(FWODF)\Examples\Hello\Include \
	$(FWSwInclude)$(FWODF)\Found\FWCommon\Include

FWComponentTargetsPreCompile = \
	$(FWBuildXHDir)\SOMPart.xh \
	$(FWBuildXIHDir)\SOMPart.xih

FWCopyToPath = $(FWComponentDir)

#######################################################
# Build rules

!include "$(FWODF)\Tools\Windows\FWRules.mki"
