//========================================================================================
//
//	File:				View.h
//	Release Version:	$ ODF 1 $
//
//	Author:				Mary Boetcher
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef VIEW_H
#define VIEW_H

// ----- Part Layer -----

#ifndef FWSVIEW_H
#include "FWSView.h"
#endif

//========================================================================================
// Forward Declarations
//========================================================================================

class FW_CViewContext;
class FW_CMouseEvent;

//========================================================================================
// CIntlTestView
//========================================================================================

class CIntlTestView : public FW_CSuperView
{
public:
	FW_DECLARE_CLASS

public:		
	CIntlTestView(Environment* ev, 
				  FW_CSuperView* container, 
				  const FW_CRect& contentRect, 
				  const FW_CPoint& extent);
	virtual ~ CIntlTestView();

public:		
	virtual void 		Draw(Environment* ev, ODFacet* odFacet, ODShape* invalidShape);

	void 				CenterInFrame(Environment* ev, FW_CPoint& size, FW_Boolean redraw);
};

#endif
