//========================================================================================
//
//	File:				Menus.fr
//	Release Version:	$ ODF 1 $
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWRESFIL_K
#include "FWResFil.k"
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

#ifndef FWMENUS_FR
#include "FWMenus.fr"
#endif

//----------------------------------------------------------------------------
//	Strings for IntlTest Menu
//----------------------------------------------------------------------------
resource FW_kMULTISTRING (kIntlTestPartStrings)
{
	kBlankString,		"This area intentionally left blank";
}

//----------------------------------------------------------------------------
//	Strings for Undo and Redo menu items
//----------------------------------------------------------------------------

resource FW_kMULTISTRING (kIntlTestUndoStrings)
{
	kUndoDragTextMsg,	"Undo Text Removal";
	kRedoDragTextMsg,	"Redo Text Removal";
	kUndoDropTextMsg,	"Undo Text Drop";
	kRedoDropTextMsg,	"Redo Text Drop";
	kUndoClearTextMsg,	"Undo Text Clear";
	kRedoClearTextMsg,	"Redo Text Clear";
	kUndoCutTextMsg,	"Undo Text Cut";
	kRedoCutTextMsg,	"Redo Text Cut";
	kUndoPasteTextMsg,	"Undo Text Paste";
	kRedoPasteTextMsg,	"Redo Text Paste";
}

//----------------------------------------------------------------------------
//	Menus
//----------------------------------------------------------------------------

resource FW_RMenuBar(kMenuBar)
{
	{
		FW_RPullDownMenu
		(
			"IntlTest"
			{
				FW_RTextItem(cFirstCommand, '1', "First Command"),
				FW_RTextItem(cSecondCommand, '2', "Second Command")
			}
		),
		FW_RPullDownMenu
		(
			"Font"
			{
				FW_RTextItem(cSystemFont,  FW_kNoKeyEquivalent, "System Font"),
				FW_RTextItem(cDefaultFont,  FW_kNoKeyEquivalent, "Default Font"),
				FW_RTextItem(cInlineInput,  FW_kNoKeyEquivalent, "Inline Input"),
				FW_RSeparatorItem()
			}
		)
	}
};
